Loading...
Searching...
No Matches
Gudhi::skeleton_blocker::Simplex_around_vertex_iterator< SkeletonBlockerComplex, Link > Class Template Reference

`#include <include/gudhi/Skeleton_blocker/iterators/Skeleton_blockers_simplices_iterators.h>`

## Public Member Functions

| Simplex_around_vertex_iterator (const Complex *complex_, Vertex_handle v_, bool end)

## Detailed Description

template<typename SkeletonBlockerComplex, typename Link>
class Gudhi::skeleton_blocker::Simplex_around_vertex_iterator< SkeletonBlockerComplex, Link >

Link may be Skeleton_blocker_link_complex<SkeletonBlockerComplex> to iterate over all simplices around a vertex OR Skeleton_blocker_superior_link_complex<SkeletonBlockerComplex> to iterate over all superior vertices around a vertex. The iteration is done by computing a trie with the link and doing a breadth-first traversal of the trie.

## Constructor & Destructor Documentation

## Simplex_around_vertex_iterator()

template<typename SkeletonBlockerComplex, typename Link>

Gudhi::skeleton_blocker::Simplex_around_vertex_iterator< SkeletonBlockerComplex, Link >::Simplex_around_vertex_iterator | ( | const Complex * | complex_,
|  | Vertex_handle | v_,
|  | bool | end )

inline

returns an iterator to the end

The documentation for this class was generated from the following file:

- include/gudhi/Skeleton_blocker/iterators/Skeleton_blockers_simplices_iterators.h